Description

QGIS' main basic image output is using the TIFF format in its lowest form which has a negative impact on performance and user

experience.

For example, these gdal options could be used by default as they maximize the compatibility with other GIS tools while still using helpful

functionalities :

- COMPRESS=PACKBITS

- TILED=YES

- TFW=YES

- BIGTIFF=IF_NEEDED

Any user-defined options should override these options so this solution would be beneficial to the advanced user and the beginner. A

similar politic could be used for the pyramids.

See http://www.osgeo.org/pipermail/qgis-developer/2011-January/012416.html

History

#1 - 2011-03-18 09:36 AM - Marco Hugentobler

The attached patch adds the possibility to insert image creation options in the option dialog under 'maptools' (this is probably not the best place). The

options are considered in the raster calculator and in the raster terrain analysis plugin.

Please test.

#2 - 2011-03-19 10:43 AM - Jean-Roc Morreale

Great work marco, I'll try to build svn with this patch asap. Maybe a good position would be in the raster menu with an entry called "Set default output

format" ?

#3 - 2011-03-20 01:20 PM - Jean-Roc Morreale

tried with commit:92a96092 (SVN r15543), it works great.

Would it be possible to expend it to other formats ? So a user could make use of his favorite format instead of tiff (I'm thinking about the ECW's junkies).

#4 - 2011-03-20 01:57 PM - Marco Hugentobler

Good to hear it works.

It should also work with other formats. The parameters are passed directly to GDAL, so any valid options for a format are considered. Do you mean to add
more default options for other formats in the default settings?

#5 - 2011-03-21 12:26 PM - Jean-Roc Morreale

For what I understand the box takes all the -co options, by adding more formats I mean setting the -of flag to something different than TIFF.

#6 - 2011-03-22 08:55 AM - Marco Hugentobler

yes, correct, the box is about the -co options. The outputformat can be chosen directly in the dialog of the raster tool. At least this is the case for raster

calculator and raster terrain plugin. From a quick look on some of the GDAL raster tools, there is also the option to select the format in the save dialog.

#7 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#8 - 2012-04-15 10:10 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#9 - 2012-10-06 02:32 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#10 - 2013-05-29 12:29 AM - Jean-Roc Morreale

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Assignee deleted (nobody -)

Present in 2.0

Files

110318_qgis_imageoptions.diff 27.7 KB 2011-03-18 Marco Hugentobler
